/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.builder.model;

import static org.fortiss.tooling.spiderchart.gc.Fonts.VERDANA;
import static org.fortiss.tooling.spiderchart.style.LineStyle.NORMAL_LINE;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.FontData;
import org.fortiss.tooling.spiderchart.plotter.SpiderChartPlot;
import org.fortiss.tooling.spiderchart.sequence.LineDataSequence;
import org.fortiss.tooling.spiderchart.style.FillStyle;
import org.fortiss.tooling.spiderchart.style.LineStyle;

/**
 * Axis Pojo
 *
 * @author mondal
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 13207B1B51F8F60D2122999D2EDB0603
 */
public final class AxisData {

	/** Line Sequence to be used for the axis */
	private final LineDataSequence data;

	/** getter for the axis sequence */
	public LineDataSequence getData() {
		return data;
	}

	/** Constructor. */
	public AxisData(SpiderChartPlot plot) {
		this.data =
				new LineDataSequence(plot.dataPoints(), new LineStyle(2, plot.areaColor(), NORMAL_LINE));
		this.data.setDrawPoint(true);
		this.data.setValueFontData(new FontData(VERDANA.getFontName(), SWT.BOLD, 12));
		this.data.setFillStyle(new FillStyle(plot.areaColor(), 0.5f));
	}
}
