/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.gc;

import org.fortiss.tooling.spiderchart.gc.swt.SpiderChartSwtGraphics;

/**
 * Represents an abstract image to be used in the chart
 *
 * @author mondal
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 13207B1B51F8F60D2122999D2EDB0603
 */
public abstract class AbstractChartImage {

	/** disposes the image */
	public void dispose() {
		// not used
	}

	/** getter for the graphics */
	public SpiderChartSwtGraphics getGraphics() {
		return null;
	}

	/** getter for the height of the image */
	public int getHeight() {
		return 0;
	}

	/** getter for the width of the image */
	public int getWidth() {
		return 0;
	}
}
