/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.style;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.FontData;

/**
 * Class for style attributes of fonts (FontData and SWT color).
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public final class FontStyle {

	/** Black Verdana 14 point. */
	public static final FontStyle BLACK_VERDANA_14PT = new FontStyle(new FontData("Verdana", 14,
			SWT.NORMAL), SWT.COLOR_BLACK);
	/** Black Verdana 12 point. */
	public static final FontStyle BLACK_VERDANA_12PT = new FontStyle(new FontData("Verdana", 12,
			SWT.NORMAL), SWT.COLOR_BLACK);
	/** Black Verdana 10 point. */
	public static final FontStyle BLACK_VERDANA_10PT = new FontStyle(new FontData("Verdana", 10,
			SWT.NORMAL), SWT.COLOR_BLACK);
	/** Black Verdana 8 point. */
	public static final FontStyle BLACK_VERDANA_8PT = new FontStyle(new FontData("Verdana", 8,
			SWT.NORMAL), SWT.COLOR_BLACK);

	/** The font data. */
	private final FontData fontData;
	/** The SWT color. */
	private final int swtColor;

	/** Constructor. */
	public FontStyle(FontData fontData, int swtColor) {
		this.fontData = fontData;
		this.swtColor = swtColor;
	}

	/** Returns font data. */
	public FontData getFontData() {
		return fontData;
	}

	/** Returns SWT color. */
	public int getSwtColor() {
		return swtColor;
	}
}
