/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.label.api;

import org.fortiss.tooling.spiderchart.gc.Polygon;

/**
 * Floating Object Graphics to be used on the chart
 *
 * @author mondal
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 13207B1B51F8F60D2122999D2EDB0603
 */
public interface IFloatingObject {

	/** Layer ID to be used to identify the component */
	public static final String LAYER_ID = "";

	/** Polygon Bounds */
	public abstract Polygon getObjectBounds();

	/** returns X-Coordinate of the component */
	public abstract int getX();

	/** returns Y-coordinate of the component */
	public abstract int getY();

	/** setter for X-Coordinate of the component */
	public abstract void setX(int paramInt);

	/** setter for Y-coordinate of the component */
	public abstract void setY(int paramInt);
}
